import express from "express";
import {
	getAllCareers,
	createCareer,
	updateCareer,
	deleteCareer,
} from "../controllers/career.controller.js";

const router = express.Router();

router.get("/getAll", getAllCareers);

router.post("/", jwtAuthMiddleware, createCareer);
router.patch("/:id", jwtAuthMiddleware, updateCareer);
router.delete("/:id", jwtAuthMiddleware, deleteCareer);

export default router;
